
import 'dart:async';

import 'package:flutter/services.dart';

class TinstallFlutterPlugin {
  static const MethodChannel _channel =
      const MethodChannel('tinstall_flutter_plugin');

  static Future init(String appKey) async {
    await _channel.invokeMethod('init',<String,String>{"appKey":appKey});
  }

  static Future setHost(String host) async {
    await _channel.invokeMethod('setHost',<String,String>{'host':host});
  }

  static Future<String?> getInstall() async {
    final String? codeData = await _channel.invokeMethod('getInstall');
    return codeData;
  }

  static Future registered() async {
    await _channel.invokeMethod('registered');
  }
}
